% script_demo_video_parallel_cs_1.m
%   script to run demo_video_parallel_cs for different videos with
%   zigzag-scan-based permutation performed on reference frames
%
% Written: Hao Fang
% Created: Mar. 2012
% Modified: Apr. 2013

clear all;
close all;
clc;

path(path, '../Videos');
path(path, './Measurements');
path(path, '../Tools');
path(path, '../Tools/YUV');
path(path, '../Tools/ZIGZAG_PERM');
path(path, '../Tools/ZIGZAG_SCAN');

% akiyo_qcif
% carphone_qcif
% claire_qcif
% coastguard_qcif
% foreman_qcif
% salesman_qcif
f = {'akiyo_qcif', 'foreman_qcif', 'coastguard_qcif'};
yuvformat = 'qcif';

scheme = 1;
for ii = 1:length(f)
    filename = f{ii};
    demo_video_parallel_cs;
end